
package de.ivu.elect.business.stimmeingabe.control;

import javax.inject.Inject;
import javax.enterprise.event.Event;

import de.ivu.elect.business.stimmeingabe.entity.Stimmeingabefehler;
import de.ivu.elect.business.stimmeingabe.boundary.StimmeingabefehlerDAO;
import de.ivu.elect.business.stimmeingabe.boundary.StimmeingabefehlerCreateEvent;

// abgeleitete Klasse NICHT mit "@javax.ejb.Stateless" annotieren!
public abstract class AbstractStimmeingabefehlerCreate {

  @Inject
  protected StimmeingabefehlerDAO dao;

    @Inject
    transient Event<StimmeingabefehlerCreateEvent> createEvent;



  


public void save(Stimmeingabefehler entity) {
    dao.persist(entity);
    sendCreateEvent(entity);
  }

  public void sendCreateEvent(Stimmeingabefehler entity) {
        createEvent.fire(new StimmeingabefehlerCreateEvent(entity));
  }

}
